import { Zone } from './Zone';
// import { Port } from './Port';
import { MetaIPType } from '../meta';

export const defaultOsType = 'UNKNOWN';
export const defaultHostType = 'HOST';
export const defaultHostVendor = 'UNKNOWN';
export const defaultHostModel = 'UNKNOWN';

export interface Host {
  metaIPType?: MetaIPType;
  name?: string;
  address?: string;
  mac?: string;

  osType?: string;

  hostType?: string;
  hostVendor?: string;
  hostModel?: string;

  meta?: Map<string, Map<string, string>>;
  discoveredBy?: string[];
  discoveredDate?: Date;

  zone?: Zone;
  portList?: any[];
}
